=== modified file 'tests/__init__.py'
--- tests/__init__.py	2011-09-04 20:04:03 +0000
+++ tests/__init__.py	2012-01-23 16:52:40 +0000
@@ -31,3 +31,22 @@
     basic_tests.addTest(loader.loadTestsFromModuleNames(
             ["%s.%s" % (__name__, tmn) for tmn in testmod_names]))
     return basic_tests
+
+
+class MockMethod():
+
+    @classmethod
+    def bind(klass, test_instance, obj, method_name):
+        original_method = getattr(obj, method_name)
+        test_instance.addCleanup(setattr, obj, method_name, original_method)
+        setattr(obj, method_name, klass())
+
+    def __init__(self):
+        self.called = False
+        self.args = None
+        self.kwargs = None
+
+    def __call__(self, *args, **kwargs):
+        self.called = True
+        self.args = args
+        self.kwargs = kwargs

=== modified file 'tests/test_commit.py'
--- tests/test_commit.py	2012-01-22 16:18:06 +0000
+++ tests/test_commit.py	2012-01-23 16:52:40 +0000
@@ -36,6 +36,7 @@
     commitmsgs,
     )
 from bzrlib.plugins.gtk.commitmsgs import SavedCommitMessagesManager
+from bzrlib.plugins.gtk.tests import MockMethod
 
 
 # TODO: All we need is basic ancestry code to test this, we shouldn't need a
@@ -143,25 +144,6 @@
         pass # With no widgets, there are no widgets to fill out
 
 
-class MockMethod():
-
-    @classmethod
-    def bind(klass, test_instance, obj, method_name):
-        original_method = getattr(obj, method_name)
-        test_instance.addCleanup(setattr, obj, method_name, original_method)
-        setattr(obj, method_name, klass())
-
-    def __init__(self):
-        self.called = False
-        self.args = None
-        self.kwargs = None
-
-    def __call__(self, *args, **kwargs):
-        self.called = True
-        self.args = args
-        self.kwargs = kwargs
-
-
 class TestCommitDialogSimple(tests.TestCaseWithTransport):
 
     def test_init(self):

